diff master/bin/wbash.sh @ 9:55e953e5c66f

wrun.sh, invoke.sh: add control of use of nohup, with -i(mmediately) and -w(ait) respectively wrun.sh: add support for fixed file input via -ff, handle -ff - in obvious way wbash.sh: use -ff - and -i to execute shell commands on all workers
author Henry S. Thompson <ht@markup.co.uk>
date Tue, 02 Oct 2018 10:52:45 +0000
parents
children 9275e2a8b5e2
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/master/bin/wbash.sh	Tue Oct 02 10:52:45 2018 +0000
@@ -0,0 +1,17 @@
+#!/bin/bash
+if [ $# -lt 1 ]
+then
+  cat 1>&2 <<EOF
+Usage: cat cmds | $0 SSname [...args]
+Where SSname is the name of a VM scale set.
+
+Runs bash [with args] on every machine in a scale set,
+ on commands from stdin
+ by doing as it were
+  cat | ssh machine "bash \$args"
+EOF
+ exit 1
+fi
+ss=$1
+shift
+wrun.sh $ss bash -x -ff - -i "$@" '\<ifile.txt'